# Yahoo! UI Library

### YAHOO Global 2.5.0

Yahoo! UI Library > yahoo > YAHOO.env

Show Private Show Protected

## `static` Class YAHOO.env

YAHOO.env is used to keep track of what is known about the YUI library and the browsing environment

### Properties

#### listeners `- Function[]`

List of functions that should be executed every time a YUI module reports itself.

#### modules `- Object[]`

Keeps the version info for all YUI modules that have reported themselves

### Methods

#### getVersion

`static Object getVersion ( name )`
Returns the version data for the specified module:

name:
  The name of the module
version:
  The version in use
build:
  The build number in use
versions:
  All versions that were registered
builds:
  All builds that were registered.
mainClass:
  An object that was was stamped with the current version and build. If mainClass.VERSION != version or mainClass.BUILD != build, multiple versions of pieces of the library have been loaded, potentially causing issues.

Parameters:
  `name <String>` the name of the module (event, slider, etc)

Returns: `Object`
  The version info

Copyright © 2007 Yahoo! Inc. All rights reserved.